package it.unimi.dsi.lama4j;

/*		 
 * LaMa4J: Lattice Manipulation for Java
 *
 * Copyright (C) 2006-2016 Marco Rosa and Sebastiano Vigna 
 *
 *  This library is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as published by the Free
 *  Software Foundation; either version 2.1 of the License, or (at your option)
 *  any later version.
 *
 *  This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


/**
 * An exception suggesting that an operation was being performed upon elements that did not match
 * the lattice performing the operation.
 */

public class ElementLatticeMismatchException extends IllegalArgumentException {
	private static final long serialVersionUID = 1L;

	public ElementLatticeMismatchException( String s ) {
		super( s );
	}

	public ElementLatticeMismatchException( Element e, Lattice l ) {
		super( "Element " + e + " does not belong to lattice " + l );
	}
}