package it.unimi.dsi.lama4j;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/*		 
 * LaMa4J: Lattice Manipulation for Java
 *
 * Copyright (C) 2006-2016 Marco Rosa and Sebastiano Vigna 
 *
 *  This library is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as published by the Free
 *  Software Foundation; either version 2.1 of the License, or (at your option)
 *  any later version.
 *
 *  This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


public class BooleanTest extends LaMa4JTestCase {

	@Test
	public void testOperations() {
		Boolean b = new Boolean();
		
		assertLattice( b );
		
		assertEquals( b.zero(), b.zero().meet( b.one() ) );
		assertEquals( b.one(), b.zero().join( b.one() ) );
		assertEquals( b.zero(), b.one().meet( b.zero() ) );
		assertEquals( b.one(), b.one().join( b.one() ) );
		assertEquals( 2, b.elements().size() );
	}
}
